#include "../include/machineioman.h"

#include <iostream>
#include <vector>

MachineIoMan::MachineIoMan(char *ipcstring, bool usessl, bool beverbose) : IoMan(ipcstring, usessl) { verbose = beverbose; }

void MachineIoMan::printMessage(std::string msg, OutMsgType type) {
	switch (type) {
	case normal: {
		std::cout << msg << std::endl;
		break;
	}
	case error: {
		std::cout << msg << std::endl;
		break;
	}
	case debug: {
		if (verbose)
			std::cerr << msg << std::endl;
		break;
	}
	}
}

void MachineIoMan::printWelcomeMessage() {}

std::string MachineIoMan::getCmdPrompt() { return ""; }
